Name: libnotify
Version: 0.4.4
Release: alt1

%def_disable static

Summary: Desktop notification library
Group: Graphical desktop/GNOME
License: LGPL

URL: http://www.galago-project.org
Source: %url/files/releases/source/libnotify/libnotify-%version.tar.bz2

# Automatically added by buildreq on Thu Mar 22 2007
BuildRequires: libdbus-glib-devel libgtk+2-devel

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%if_enabled static
%package devel-static
Summary: Static library build of %name
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release
%endif

%package devel-doc
Summary: Development documentation for %name
Group: Development/GNOME and GTK+

%description
The library that allows applications post notifications on the desktop
in accordance to the proposed Desktop Notification Specification.

%description devel
Files needed to develop applications that use libnotify, a desktop
notification library.

%if_enabled static
%description devel-static
The static build of libnotify, a desktop notification library.
%endif

%description devel-doc
API documentation for %name in gtk-doc format.

%prep
%setup -q

%build
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_bindir/*
%_libdir/*.so.*
%doc AUTHORS NEWS ChangeLog

%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%files devel-doc
%_datadir/gtk-doc/html/*

%changelog
* Thu Mar 22 2007 Victor Forsyuk <force@altlinux.org> 0.4.4-alt1
- 0.4.4

* Tue Jan 09 2007 Victor Forsyuk <force@altlinux.org> 0.4.3-alt1
- 0.4.3

* Tue Sep 26 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.2-alt1
- Rebuilt with GTK+ 0.10 to enable necessary functions
- Added libnotify-devel-doc package
- Buildreq

* Thu Jul 06 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.2-alt0.1
- Updated to 0.4.2
- Polished descriptions
- Spec cleanup

* Thu May 04 2006 Vital Khilko <vk@altlinux.ru> 0.4.0-alt1
- 0.4.0

* Thu Feb 02 2006 Vital Khilko <vk@altlinux.ru> 0.3.2-alt1
- 0.3.2

* Sun Sep 17 2005 Vital Khilko <vk@altlinux.ru> 0.2.1-alt1
- initial build for ALT Linux Sisyphus

* Sun Sep 17 2005 Vital Khilko <vk@altlinux.ru> 0.2.1-alt1
- initial build for ALT Linux Sisyphus

